## fuse-umfuse-fat 0.3+dfsg

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.12)
project(fusefatfs
    VERSION 0.2
    DESCRIPTION "fuse/vuos module for fat (12/16/32/exfat)"
    HOMEPAGE_URL "https://github.com/virtualsquare/fusefatfs"
    LANGUAGES C)

include(GNUInstallDirs)
include(CheckIncludeFile)
include_directories(${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR})

find_package(PkgConfig)
pkg_check_modules(FUSE fuse3)
if(NOT FUSE_FOUND)
	pkg_check_modules(FUSE REQUIRED fuse)
endif()
string(REGEX REPLACE "\\..*" "" FUSE_VERSION ${FUSE_VERSION})

set(CMAKE_REQUIRED_DEFINITIONS -D_FILE_OFFSET_BITS=64)

configure_file(config.h.in config.h @ONLY)
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -D_FORTIFY_SOURCE=2 -O2 -pedantic -Wall -Wextra")

add_definitions(-D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 ${FUSE_CFLAGS} -DFUSE=${FUSE_VERSION})

add_executable(fusefatfs fusefatfs.c fftable.c diskio.c ff.c ffunicode.c)
target_link_libraries(fusefatfs ${FUSE_LIBRARIES})
install(TARGETS fusefatfs
    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})

add_library(vufusefatfs SHARED fusefatfs.c fftable.c diskio.c ff.c ffunicode.c)
set_target_properties(vufusefatfs PROPERTIES PREFIX "")
install(TARGETS vufusefatfs
    LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}/vu/modules)

add_subdirectory(man)

add_custom_target(uninstall
  "${CMAKE_COMMAND}" -P "${PROJECT_SOURCE_DIR}/Uninstall.cmake"
  )

=== man/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.7)

set(PANDOC_ORG "VirtualSquare")

# ### pandoc pages

file(GLOB VU_PANDOC_PAGES ${CMAKE_CURRENT_SOURCE_DIR}/*.[1-8].md)
set(VU_MAN_FILES)
foreach(VU_PANDOC_PATH IN LISTS VU_PANDOC_PAGES)
# VU_PANDOCPAGE: basename of VU_PANDOC_PATH
	get_filename_component(VU_PANDOCPAGE ${VU_PANDOC_PATH} NAME)
# VU_MANPAGE: VU_PANDOCPAGE without the suffix
	string(REGEX REPLACE "\.md$" "" VU_MANPAGE ${VU_PANDOCPAGE})
	list(APPEND VU_MAN_FILES ${VU_MANPAGE})
endforeach(VU_PANDOC_PATH)

add_custom_target(${PROJECT_NAME}_manpages ALL make PANDOC_ORG="${PANDOC_ORG}"  ${VU_MAN_FILES}
	WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR})

### man pages
file(GLOB VU_MAN_PAGES ${CMAKE_CURRENT_SOURCE_DIR}/*.[1-8])
foreach(VU_MAN_PATH IN LISTS VU_MAN_PAGES)
	get_filename_component(VU_MANPAGE ${VU_MAN_PATH} NAME)
	string(REGEX REPLACE ".*\\." "" MAN_CHAPTER ${VU_MANPAGE})
	install(FILES ${VU_MAN_PATH} DESTINATION ${CMAKE_INSTALL_MANDIR}/man${MAN_CHAPTER})
endforeach(VU_MAN_PATH)

## fuse-umfuse-fat 0.1a

=== debian/changelog ===
fuse-umfuse-fat (0.1a-3) unstable; urgency=medium

  * Revert to debhelper's compat level 10

 -- Andrea Capriotti <capriott@debian.org>  Fri, 18 Sep 2020 17:25:48 +0200

fuse-umfuse-fat (0.1a-2) unstable; urgency=medium

  * d/control: Bump debhelper's compat level to 13 (Closes: 965527)
  * d/control: Standard version bumped to 4.5.0
  * d/control: Add VirtualSquare Uploader
  * Switch to 3.0 source format

 -- Andrea Capriotti <capriott@debian.org>  Fri, 18 Sep 2020 11:51:28 +0200

fuse-umfuse-fat (0.1a-1.2) unstable; urgency=medium

  * maintainers' mailing list address updated. (Closes: #899516)

 -- Renzo Davoli <renzo@cs.unibo.it>  Sat, 05 Jan 2019 10:23:11 +0100

fuse-umfuse-fat (0.1a-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Depend on fuse instead of fuse-utils. (Closes: #698123)

 -- Ansgar Burchardt <ansgar@debian.org>  Sun, 12 May 2013 15:55:04 +0200

fuse-umfuse-fat (0.1a-1) unstable; urgency=low

  [ Ludovico Gardenghi ]
  * Initial release.

  [ Filippo Giunchedi ]
  * Use GPLv2 in debian/copyright 

 -- Filippo Giunchedi <filippo@debian.org>  Thu, 26 Jun 2008 14:10:03 +0200

=== debian/control ===
Source: fuse-umfuse-fat
Priority: optional
Maintainer: Debian VSquare Team <virtualsquare@cs.unibo.it>
Uploaders: Ludovico Gardenghi <garden@acheronte.it>, Guido Trotter <ultrotter@debian.org>, Filippo Giunchedi <filippo@debian.org>, Andrea Capriotti <capriott@debian.org>
Build-Depends: debhelper (>= 10), libumlib-dev, libfuse-dev, libglib2.0-dev, cdbs
Standards-Version: 4.5.0
Homepage: http://view-os.sourceforge.net
Section: misc

Package: umview-mod-umfusefat
Architecture: i386 amd64 powerpc ppc64
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: View-OS in user space - FAT module for UMFUSE
 View-OS is a novel approach to the process/kernel interface.  The semantics of
 each system call can be assigned process by process giving the user the right
 to decide which view of the system each process has to join.  Each process can
 "see" a different file system structure, networking resources, processor,
 devices.  Moreover some of the resources can be provided by the user
 him/herself, thus these resource can be private to the single process and are
 not known a priori by the system.  Groups of processes can share the same view
 but this is just an optimization to share management methods.
 .
 For more information, see http://wiki.virtualsquare.org
 .
 UMView is a user-mode implementation of View-OS.  Processes are run with a
 controlling daemon that captures all the system calls (at present using the
 ptrace() system call) and uses dynamically loadable modules to change their
 semantic.
 .
 This package contains a sub-module for umfuse.  umfuse is contained in the
 main UMView package and allows almost complete source compatibility with FUSE
 modules.  umfusefat can be used to mount FAT12/FAT16/FAT32 images inside an
 UMView instance.

Package: fusefat
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, fuse
Description: File System in User Space - Module for FAT
 This module for the FUSE kernel service allows any FUSE-enabled user to mount
 FAT file systems.
 .
 The module has been initially written for UMView, the user-mode
 implementation of View-OS. If you want to allow completely user-mode disk
 images mounting (with no kernel/superuser support at all), take a look at
 umview-mod-umfusefat and its dependencies.

=== debian/watch ===
version=3
http://sf.net/view-os/fuse-umfuse-fat-(.*)\.tar\.gz

## fuse-umfuse-fat 0.3+dfsg

=== debian/changelog ===
fuse-umfuse-fat (0.3+dfsg-1) unstable; urgency=medium

  * d/watch: update for tagged upstream releases
  * New upstream version 0.3+dfsg
  * d/p/{2,4,5,7}: drop, applied upstream
  * Enable building /usr/lib/$TRIPLE/vu/modules/vufusefatfs.so
    into new vuos-mod-vufusefatfs package
    (Name provided with vuos upstream Renzo Davoli <renzo@cs.unibo.it>)

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Thu, 21 Nov 2024 17:53:01 +0100

fuse-umfuse-fat (0.2~22+c7f994d+dfsg-1) unstable; urgency=medium

  * d/watch: fake for new upstream what doesn't tag releases
    (https://github.com/virtualsquare/fusefatfs)
  * New upstream version 0.2~22+c7f994d+dfsg
    Closes: #837998, #986029, #806233, #806232, #715930, #701934
  * d/control: new for new upstream
    + Drop umview-mod-umfusefat package
    + Maintainer: Package Salvaging Team <team+salvage@tracker.debian.org>
      Closes: #1085458
    + Build-Depends: just libfuse3-dev + pandoc + cmake (Closes: #986065)
    + Depends: fuse -> Recommends: fuse3
    + new description
    + debhelper-compat 13
    + Standards-Version: 4.7.0
    + Rules-Requires-Root: no
    + Vcs-Git: https://salsa.debian.org/salvage-team/fuse-umfuse-fat.git
  * Import upstream PRs #2, #4, #5, #7 as patches:
    #2: Fully-prototype get_fattime()
    #4: Fix options listed in manual
        (program actually takes -o ro, -o rw, but -ro, -rw were listed)
        Fix manual spacing
        Fix manual building on CI
        Fix sytems -> systems typo in manual
    #5: Allow building with fuse3 in addition to the current fuse2
    (+ d/control: Build-Depends: pkgconf) (Closes: #1084472)
    #7: Encode and decode file times in UTC, not in/out of local time
    Closes: #837998
  * Need patch to disable vufusefatfs (d/p/novufusefs)
  * Add patch for Reproducible date and no man-db dependency for manual build
  * d/fusefat.docs, d/rules: new for new upstream
  * d/copyright: new for new upstream, DEP-5
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Retain compat by providing fusefat as link

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Sat, 09 Nov 2024 14:46:42 +0100

=== debian/control ===
Source: fuse-umfuse-fat
Priority: optional
Maintainer: Package Salvaging Team <team+salvage@tracker.debian.org>
Uploaders: наб <nabijaczleweli@nabijaczleweli.xyz>
Build-Depends: debhelper-compat (= 13), libfuse3-dev, pkgconf, pandoc, cmake
Standards-Version: 4.7.0
Homepage: https://github.com/virtualsquare/fusefatfs
Rules-Requires-Root: no
Section: misc
Vcs-Git: https://salsa.debian.org/salvage-team/fuse-umfuse-fat.git
Vcs-Browser: https://salsa.debian.org/salvage-team/fuse-umfuse-fat

Package: fusefat
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: fuse3
Description: Mount FAT file systems using FUSE
 This FUSE driver allows unprivileged users to mount FAT
 (FAT12/FAT16/FAT32/exFAT) file systems.

Package: vuos-mod-vufusefatfs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Enhances: vuos
Description: Mount FAT file systems in vuos
 This vuos plugin allows mounting FAT (FAT12/FAT16/FAT32/exFAT)
 file systems in a vuos session.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

override_dh_auto_build:
	mv man/fusefatfs.1 debian/  # upstream target replaces this
	dh_auto_build

override_dh_auto_install:
	dh_auto_install --destdir=debian/fusefat/
	mkdir -p debian/vuos-mod-vufusefatfs/usr/
	mv debian/fusefat/usr/lib debian/vuos-mod-vufusefatfs/usr/

override_dh_clean:
	-mv debian/fusefatfs.1 man/
	dh_clean

%:
	dh $@

=== debian/watch ===
version=4
opts="uversionmangle=s/$/+dfsg/,dversionmangle=s/\+dfsg$//,filenamemangle=s%(?:.*?)?v?@ANY_VERSION@(@ARCHIVE_EXT@)%@PACKAGE@-$1$2%" \
	https://github.com/virtualsquare/fusefatfs/tags \
	(?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
